document.addEventListener('DOMContentLoaded', () => {
  // Add entrance animation to links
  const links = document.querySelectorAll('.link-card');
  links.forEach((link, index) => {
    link.style.opacity = '0';
    link.style.transform = 'translateY(20px)';
    setTimeout(() => {
      link.style.transition = 'opacity 0.5s ease, transform 0.5s ease';
      link.style.opacity = '1';
      link.style.transform = 'translateY(0)';
    }, 100 * index);
  });

  // Add click animation
  links.forEach(link => {
    link.addEventListener('click', function(e) {
      e.preventDefault();
      this.style.transform = 'scale(0.95)';
      setTimeout(() => {
        window.location.href = this.href;
      }, 200);
    });
  });
});
